# Generated by Django 2.1.5 on 2019-01-06 20:50

from django.db import migrations, models
import django.db.models.deletion
import django.db.models.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Book',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('author', models.CharField(max_length=128)),
                ('publication_year', models.PositiveIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='BookMovement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_getting', models.DateField()),
                ('date_return', models.DateField()),
                ('book_return_status', models.IntegerField(choices=[(1, 'Excellent'), (2, 'Good'), (3, 'Fair'), (4, 'Poor')], default=2)),
                ('book_request', models.IntegerField(choices=[(1, 'Book getting'), (2, 'Book return')], default=1)),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='book', to='library.Book')),
            ],
        ),
        migrations.CreateModel(
            name='Genre',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('room', models.PositiveIntegerField()),
                ('shelving', models.PositiveIntegerField()),
                ('shelf', models.PositiveIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Subscription',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('full_name', models.CharField(max_length=128)),
                ('birth_date', models.DateField()),
                ('address', models.CharField(max_length=256)),
                ('phone_number', models.CharField(max_length=16)),
            ],
        ),
        migrations.AddField(
            model_name='bookmovement',
            name='subscription',
            field=models.ForeignKey(on_delete=django.db.models.fields.CharField, related_name='subscription', to='library.Subscription'),
        ),
        migrations.AddField(
            model_name='book',
            name='genre',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='genre', to='library.Genre'),
        ),
        migrations.AddField(
            model_name='book',
            name='location',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='location', to='library.Location'),
        ),
    ]
